import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
    path: '/',
    name: 'Home',
    component: () =>
        import ( /* webpackChunkName: "about" */ '../views/home')
}, {
    path: '/balance',
    name: 'balance',
    component: () =>
        import ( /* webpackChunkName: "about" */ '../views/balance')
}, {
    path: '/recharge',
    name: 'recharge',
    component: () =>
        import ( /* webpackChunkName: "about" */ '../views/recharge')
}, {
    path: '/record',
    name: 'record',
    component: () =>
        import ( /* webpackChunkName: "about" */ '../views/record')
}, ]

const router = new VueRouter({
    mode: 'hash',
    base: '/',
    routes
})

export default router